unit upostoper_script;

{$mode delphi}

interface

uses
  Classes, SysUtils, uPostOpers,
  uHistoVarsOps, xMatDefs, Math, uSimResGlobs, uAuxiliares, matreal,
{$IFDEF CRONVAR_PAGINADAS}
  uvectorpaginado,
{$ENDIF}
  ucursorfila,
uparseadorsupersimple;

{$IFDEF PSOUBES}
type

    { TPostOper }

    { TPostOper_script }

    TPostOper_script = class( TPostOper )

      script_text: string;

      aEvaluadorDeExpresiones: TEvaluadorExpresionesSimples;

    end;

    { TPostOper_script_expo }

    TPostOper_script_expo = class( TPostOper_script )
      public
      //metodos de la clase multicronvar//
      params: TDAOfCronVar;

      constructor Create(script_text: string;aEvaluadorDeExpresiones: TEvaluadorExpresionesSimples; acronvars: TDAOfCronVar );


      //*********************************//
      procedure Evaluar;
      function res_nombre: string;
      class function tipo: string;
      function parametrosAdicionales: string;
      function serialize: string;


    end;

{$ENDIF}

implementation

{$IFDEF PSOUBES}

{ TPostOper_script_expo }

constructor TPostOper_script_expo.Create(script_text: string;aEvaluadorDeExpresiones: TEvaluadorExpresionesSimples; acronvars: TDAOfCronVar );
begin

  self.script_text:= script_text;
  self.aEvaluadorDeExpresiones:= aEvaluadorDeExpresiones;
  self.params:=acronvars;

end;



{$ENDIF}
end.

